package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

/**
 * Created by herbert on 2018/5/26.
 */
public class DicRequirementState {
    public static final String PENDING = "审核中";
    public static final String COLOSED = "已关闭";
    public static final String REJECTED = "审核不通过";
    public static final String PROSCESSING = "进行中";
    public static final String OFF_SHELVES = "已下架";
    public static final String PENDING_FEEDBACK = "待反馈";
    public static final String PROCESSED_FEEDBACK = "已反馈";

    private static DicRequirementState instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicRequirementState(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(PENDING, PENDING);
        dicMap.put(REJECTED, REJECTED);
        dicMap.put(PENDING_FEEDBACK, PENDING_FEEDBACK);
        dicMap.put(PROCESSED_FEEDBACK, PROCESSED_FEEDBACK);
        dicMap.put(COLOSED, COLOSED);
        dicMap.put(PROSCESSING, PROSCESSING);
        dicMap.put(OFF_SHELVES, OFF_SHELVES);
    }

    public static DicRequirementState getInstacne(){
        if (instance == null)
        {
            instance = new DicRequirementState();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
